//  PreferencesView.swift
//  Tusker
//
//  Created by Shadowfacts on 6/13/19.
//  Copyright © 2019 Shadowfacts. All rights reserved.
//

import SwiftUI

struct PreferencesView : View {
    var body: some View {
        // workaround: the navigation view is provided by MyProfileTableViewController so that it can inject the Done button
//        NavigationView {
            List {
                NavigationButton(destination: AppearancePrefsView()) {
                    Text("Appearance")
                }
                NavigationButton(destination: BehaviorPrefsView()) {
                    Text("Behavior")
                }
                NavigationButton(destination: AdvancedPrefsView()) {
                    Text("Advanced")
                }
            }
                .listStyle(.grouped)
                .navigationBarTitle(Text("Preferences"), displayMode: .inline)
//        }
    }
}

#if DEBUG
struct PreferencesView_Previews : PreviewProvider {
    static var previews: some View {
        PreferencesView()
    }
}
#endif
